# Class CIM_LibraryPackage
extends CIM_SystemPackaging

Similar to the way that LogicalDevices are 'Realized' by PhysicalElements, a StorageLibrary can be realized in one or more PhysicalPackages. The LibraryPackage association explicitly defines this relationship.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SystemPackaging
|
+--CIM_LibraryPackage

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | Similar to the way that LogicalDevices are 'Realized' by PhysicalElements, a StorageLibrary can be realized in one or more PhysicalPackages. The LibraryPackage association explicitly defines this relationship.
UMLPackagePath | string | CIM::Device::StorageLib
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LibraryPackage | CIM_PhysicalPackage
Dependent | CIM_LibraryPackage | CIM_StorageLibrary

## Class Methods